summaryrefslogtreecommitdiff
path: root/net-fs
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-01-25 11:25:36 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-01-25 11:25:36 +0300
commitc3508d9c0ea8c6d46476b7c5b64249c5116bd95b (patch)
tree5aaf68b5e1aa9d09989f9be24d62721a3515d017 /net-fs
parentnet-fs/mc: Version bump (diff)
downloadgentoo-c3508d9c0ea8c6d46476b7c5b64249c5116bd95b.tar.gz
gentoo-c3508d9c0ea8c6d46476b7c5b64249c5116bd95b.tar.bz2
gentoo-c3508d9c0ea8c6d46476b7c5b64249c5116bd95b.zip
net-fs/minio: Version bump
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'net-fs')
-rw-r--r--net-fs/minio/Manifest1
-rw-r--r--net-fs/minio/minio-2019.01.23.23.18.58.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/net-fs/minio/Manifest b/net-fs/minio/Manifest
index 70b6947f399..c9b6baeb567 100644
--- a/net-fs/minio/Manifest
+++ b/net-fs/minio/Manifest
@@ -11,3 +11,4 @@ DIST minio-2018.12.19.23.46.24.tar.gz 9096254 BLAKE2B 252c8e84e9df0f5e2f85f5f5a0
DIST minio-2018.12.27.18.33.08.tar.gz 9102593 BLAKE2B 40e1a014edcfe84f9310bd09b0d4e5853b3ef8e1cc7e1a0805aaf83f55320a516df0c930c78d5b7726625d9f2d521dbee534b949f31b63438ac19971f75e493c SHA512 92ec8b8d1094d3b125f3522063895274e9aa0144063c4ac64a3919dfc65a6ee26e7a1bc03063f61acdb6b5b14681448f3451598939a8f17d107205091049279c
DIST minio-2019.01.10.00.21.20.tar.gz 9272639 BLAKE2B e8d64c436795894ad6e20cfc5acc193598312a6c1d7e20b58a1250f0bcc4791f004afd1dfed4d0e2d506f4690290d0d29596a263853c216456555792e84da5b2 SHA512 fe68bbd56f131ba4e189114b45fbf2f95925cce3a11384503c67debdc9eb04cf1c034f28f792adbcca373783cf74f3f57853a6e61241a5864898e19946c31e6f
DIST minio-2019.01.16.21.44.08.tar.gz 9284989 BLAKE2B f54ecdd5892375c2bc8c3f2c8dc0144ee61c4e94342e12a27d8c55e1745b74c82a480a5562274553d2a5c968fc252ec8b95d0c708405089304b63520eb10405a SHA512 457c2adfe15a70c39fba8e8c7ac6dfa3dccc7265a725c932f57d4e45b5285859ce45701c8c7fa953300ad28322a46d1083f27e668ada5c3616c62337cdaf006c
+DIST minio-2019.01.23.23.18.58.tar.gz 9154650 BLAKE2B 4dd2f34edef4b994af25b1bc83fadc5993522f9ee9e54ef620fe54b43076f0fe147fe1343375343d6cc6c47ca31f762e9a033dfc2b3de76cfd55307f6fe36912 SHA512 49cb40f5eaccc2dd76aeb699ce8376d9d665860f38c93748b97cbd589dfeaf4301964659a32fe20a7174be3462c6269446810b9443a1688874c95a95acf5b22e
diff --git a/net-fs/minio/minio-2019.01.23.23.18.58.ebuild b/net-fs/minio/minio-2019.01.23.23.18.58.ebuild
new file mode 100644
index 00000000000..8154fe5911e
--- /dev/null
+++ b/net-fs/minio/minio-2019.01.23.23.18.58.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit user golang-build golang-vcs-snapshot eapi7-ver
+
+EGO_PN="github.com/minio/minio"
+MY_PV="$(ver_cut 1-3)T$(ver_cut 4-7)Z"
+MY_PV=${MY_PV//./-}
+EGIT_COMMIT="ce419c98352324caa4c79b159a9f840ca714c3d5"
+ARCHIVE_URI="https://${EGO_PN}/archive/RELEASE.${MY_PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~amd64-linux"
+
+DESCRIPTION="An Amazon S3 compatible object storage server"
+HOMEPAGE="https://github.com/minio/minio"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${MY_PV}\"/"\
+ -e "s/-s //"\
+ -e "/time/d"\
+ -e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
+ src/${EGO_PN}/buildscripts/gen-ldflags.go || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ MINIO_RELEASE="${MY_PV}"
+ go run buildscripts/gen-ldflags.go
+ GOPATH="${S}" go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o ${PN} || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dodoc -r README.md CONTRIBUTING.md MAINTAINERS.md docs
+ dobin minio
+ popd || die
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ keepdir /var/{lib,log}/${PN}
+ fowners ${PN}:${PN} /var/{lib,log}/${PN}
+}